Subject: [PATCH] ARM: OMAP2+: Fix populating the hwmod data from device tree

From: [email-masked] (Tony Lindgren)
Date: Wed, 20 Nov 2013 17:45:56 -0800

* Tony Lindgren <[email-masked]> [131120 16:06]:
> 
> They at least had interrupts listed looking at commit 3b9b10. Probably
> the thing to do for now is to revert those changes, and see if we can
> just remove the L3 entries from the .dtsi files.

Actually the patch I posted should be able to handle also the
ti,hwmods = "l3_main_1", "l3_main_2", "l3_main_3" property in omap4.dtsi,
but we're not currently parsing that as we only look at the children
and not the properties of the OCP bus. Should be fixable, will take a look
tomorrow if this approach makes sense to you.

Regards,

Tony